1
aryo1
upgrade 2.0.13.1
  • 2006/12/4 18:58

  • aryo1

  • Just popping in

  • Posts: 84

  • Since: 2005/5/24


can someone tell me how can I upgrade 2.0.13.1 to the newst verson?

Thanks

2
preachur
Re: upgrade 2.0.13.1
  • 2006/12/4 19:08

  • preachur

  • Just can't stay away

  • Posts: 525

  • Since: 2006/2/4 4


You have to do it one step at a time. Go to sourceforge to the XOOPS project downloads page http://sourceforge.net/project/showfiles.php?group_id=41586. You will be able to download the updates and install them one at a time. I just did that the other day. It took about 3 upgrades to get it there, but it went smoothly.
Magick can never be restrained, but when freely given is thrice regained!

3
aryo1
Re: upgrade 2.0.13.1
  • 2006/12/4 19:12

  • aryo1

  • Just popping in

  • Posts: 84

  • Since: 2005/5/24


thanks for the answer.
I don't know which file I have to download. It doesn't have 2.0.13.1 to uper version!

4
preachur
Re: upgrade 2.0.13.1
  • 2006/12/4 19:39

  • preachur

  • Just can't stay away

  • Posts: 525

  • Since: 2006/2/4 4


It's there under the older upgrades link lower down on the page:

Start here:
http://downloads.sourceforge.net/xoop ... e=1130660610&big_mirror=0
Magick can never be restrained, but when freely given is thrice regained!

5
preachur
Re: upgrade 2.0.13.1
  • 2006/12/4 19:49

  • preachur

  • Just can't stay away

  • Posts: 525

  • Since: 2006/2/4 4


Then the upgrade is built in to the full 2.0.14 download file. You just need the folder labeled "upgrade" and there are instructions:
http://sourceforge.net/project/showfi ... =153583&release_id=427869

After that you just need this one:
http://sourceforge.net/project/showfi ... =153583&release_id=463980

After that you should be 2.0.16 and good to go.
Magick can never be restrained, but when freely given is thrice regained!

6
irmtfan
Re: upgrade 2.0.13.1
  • 2006/12/4 19:50

  • irmtfan

  • Module Developer

  • Posts: 3419

  • Since: 2003/12/7


you can upgrade to 2.0.16 at once
just follow the instructions in 2.0.16 release note:


Quote:
Upgrading from any XOOPS ranging from 2.0.7 to 2.0.13.2 (using the full package):
1. Move the "upgrade" folder inside the "htdocs" folder (it's been kept out as it's not needed for full installs)
2. Delete htdocs/mainfile.php, and htdocs/install
3. Upload the content of the htdocs folder over your existing files
4. Delete the following folders and files from your server (they belong to an old version):
* class/smarty/core
* class/smarty/plugins/resource.db.php
5. Empty the templates_c folder (except index.html)
6. Ensure the server can write to mainfile.php
7. Access <your.site.url>/upgrade/ using your browser, and follow the instructions
8. Write-protect mainfile.php again
9. Remove the upgrade folder after use
10. Update the "system" module from the modules administration interface

7
preachur
Re: upgrade 2.0.13.1
  • 2006/12/4 19:55

  • preachur

  • Just can't stay away

  • Posts: 525

  • Since: 2006/2/4 4


Okay, maybe I did it the hard way, but it worked.
Magick can never be restrained, but when freely given is thrice regained!

8
jensclas
Re: upgrade 2.0.13.1

Go to the provided link.
scroll down - press the + button on the XOOPS 2.0.13 updates
get the 2.0.13.1 to 2.0.13.2 update.

Then scroll up to the 2.0.14 and download that. This is where things changed and you need to follow the instructions carefully. There is no upgrade packageas such.
You will need to access these release notes

from there you can go straight to the current release of 2.0.16 by selecting the upgrade package 2.0.14-2.0.16

Back up first!


Upgrading from a previous version
-----------------------------------
Upgrading from XOOPS 2.0.14/2.0.15 (easy way)
1. Get the appropriate update package from the sourceforge file repository
2. Overwrite your existing files with the new ones
3. Access <your.site.url>/upgrade/ with a browser
4. Follow the instructions to update your database
5. Delete the upgrade folder

HTH

9
aryo1
Re: upgrade 2.0.13.1
  • 2006/12/8 3:20

  • aryo1

  • Just popping in

  • Posts: 84

  • Since: 2005/5/24


thanks all of you for usefull answers.
The upgrade succesfully done. but when I choose a module to in centre block on top page only it doesn't show any thing unless I choose all pages, where as I don't want to show that module to be shown in all pages but the top page.

Any ideas?

10
jensclas
Re: upgrade 2.0.13.1

try switching to the default theme and see if this happens - some themes needed to be updated to go with the change. (Mine did)

Login

Who's Online

68 user(s) are online (32 user(s) are browsing Support Forums)


Members: 0


Guests: 68


more...

Donat-O-Meter

Stats
Goal: $100.00
Due Date: Aug 31
Gross Amount: $0.00
Net Balance: $0.00
Left to go: $100.00
Make donations with PayPal!

Latest GitHub Commits